Skip to main content
PATCH
/
v1
/
accounts
/
{account_id}
/
agents
/
{agent_id}
Update an agent
curl --request PATCH \
  --url https://api.itellico.ai/v1/accounts/{account_id}/agents/{agent_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "initial_message": {
    "message": "",
    "mode": "fixed_message",
    "delay_ms": 0,
    "interruptible": false
  },
  "ambient_sound": {
    "source": "open_plan_office",
    "volume": 0.5
  },
  "max_duration_seconds": 3605,
  "inactivity_settings": {
    "reminder_timeout_ms": 10000,
    "reminder_max_count": 2,
    "end_call_timeout_ms": 305000,
    "reset_on_activity": true
  },
  "note": "<string>",
  "tags": [
    "<string>"
  ],
  "interrupt_settings": {
    "enabled": true,
    "min_words": 0,
    "min_speech_seconds": 0.2
  },
  "response_timing": {
    "min_endpointing_delay_seconds": 0.1
  },
  "metadata": {},
  "capture_settings": {
    "recording_enabled": true
  },
  "volume": {
    "web": 0.5,
    "telephony": 0.5,
    "allow_adjustment": true
  },
  "denoising": {
    "web": true,
    "telephony": true
  },
  "model": {},
  "transcriber": {
    "provider": "azure",
    "language": "af-ZA"
  },
  "voice": {}
}
'
{
  "id": "<string>",
  "account_id": "<string>",
  "name": "<string>",
  "initial_message": {
    "message": "",
    "mode": "fixed_message",
    "delay_ms": 0,
    "interruptible": false
  },
  "ambient_sound": {
    "source": "open_plan_office",
    "volume": 0.5
  },
  "inactivity_settings": {
    "reminder_timeout_ms": 10000,
    "reminder_max_count": 2,
    "end_call_timeout_ms": 305000,
    "reset_on_activity": true
  },
  "response_timing": {
    "min_endpointing_delay_seconds": 0.1
  },
  "max_duration_seconds": 123,
  "note": "<string>",
  "tags": [
    "<string>"
  ],
  "interrupt_settings": {
    "enabled": true,
    "min_words": 0,
    "min_speech_seconds": 0.2
  },
  "model": {},
  "transcriber": {},
  "voice": {},
  "metadata": {},
  "capture_settings": {
    "recording_enabled": true
  },
  "volume": {
    "web": 0.5,
    "telephony": 0.5,
    "allow_adjustment": true
  },
  "denoising": {
    "web": true,
    "telephony": true
  },
  "created": "2023-11-07T05:31:56Z",
  "modified": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string
required
agent_id
string<uuid4>
required

Body

application/json
name
string | null

The name of the agent. Only used for your own reference.

Maximum string length: 50
initial_message
InitialMessageSchema · object

Configuration for the agent's initial message when starting a conversation.

ambient_sound
AmbientSoundSchema · object

Configuration for ambient background sounds during the conversation.

max_duration_seconds
integer | null

Maximum allowed length for the conversation in seconds. Maximum is 7200 seconds (2 hours).

Required range: 10 <= x <= 7200
inactivity_settings
InactivitySettings · object

Configuration for handling user inactivity and silence during conversations.

note
string | null

Internal notes about the agent.

Maximum string length: 5000
tags
string[] | null

List of tags to categorize the agent.

interrupt_settings
InterruptSettings · object

Configuration for how the agent handles user interruptions.

response_timing
ResponseTimingSchema · object

Configuration for agent response timing and conversation flow control.

metadata
Metadata · object

Custom metadata for the agent. Store any additional key-value pairs that your application needs.

capture_settings
CaptureSettingsSchema · object

Capture settings configuration for recording and artifact settings.

volume
VolumeSchema · object

Volume settings for different call types and voice adjustment control.

denoising
DenoisingSchema · object

Denoising/noise cancellation settings for enhanced audio quality.

model
Model · object

Language model configuration for the agent. Partial updates allowed.

transcriber
AzureTranscriberSchema · object

Azure-specific transcriber configuration.

voice
Voice · object

Text-to-speech configuration for the agent. Partial updates allowed.

Response

200 - application/json

OK

Response returned after agent operations (create, get, update)

id
string<uuid4>
required

Unique identifier for the agent. Use this ID to reference the agent in API calls for updates, deletion, or starting conversations.

account_id
string<uuid4>
required

Unique identifier for the account that owns this agent.

name
string
required

The display name of the agent as configured. This is for your reference and internal organization.

initial_message
InitialMessageSchema · object
required

Configuration for the agent's initial message when starting a conversation.

ambient_sound
AmbientSoundSchema · object
required

Configuration for ambient background sounds during the conversation.

inactivity_settings
InactivitySettings · object
required

Configuration for handling user inactivity and silence during conversations.

response_timing
ResponseTimingSchema · object
required

Configuration for agent response timing and conversation flow control.

max_duration_seconds
integer | null

The maximum conversation duration configured for this agent in seconds. Maximum allowed is 7200 seconds (2 hours).

note
string | null

Internal notes about the agent for your team's reference.

tags
string[] | null

List of tags assigned to this agent for categorization and filtering.

interrupt_settings
InterruptSettings · object

Configuration for how the agent handles user interruptions during conversation.

model
Model · object

Language model configuration for the agent.

transcriber
Transcriber · object

Speech-to-text configuration for the agent.

voice
Voice · object

Text-to-speech configuration for the agent.

metadata
Metadata · object

Custom metadata associated with the agent.

capture_settings
CaptureSettingsSchema · object

Capture settings configuration for recording and artifact settings.

volume
VolumeSchema · object

Volume settings for different call types and voice adjustment control.

denoising
DenoisingSchema · object

Denoising/noise cancellation settings for enhanced audio quality powered by Krisp.

created
string<date-time> | null

Date-time of when the agent was created (ISO 8601 on output).

modified
string<date-time> | null

Date-time of when the agent was last updated (ISO 8601 on output).